/*
 Test LCD + MODE Select button
 
 */

 
#include <LiquidCrystal.h>

int button_pin = 2;
int MODE = 0;
volatile unsigned long last_millis = 0;


LiquidCrystal lcd(12, 11, 6, 5, 4, 3);

void setup()  { 
  pinMode(button_pin, INPUT); 
  attachInterrupt(0, button_pressed, RISING);
  analogWrite(10 ,0);
  lcd.begin(16, 2);
  lcd.print("DIGITAL MULTIMER *** DIGITAL MULTIMER");
  lcd.setCursor(0, 1);
  lcd.print("Press \"MODE\" key to select a function"); 
  delay (5000);  
} 


void loop()  { 
   if (MODE>0) {
  lcd.clear();
  lcd.print("MODE");
  lcd.setCursor(0, 1);
  lcd.print(MODE);   
    delay (500); 
 }
  else {
  for (int positionCounter = 0; positionCounter < 21; positionCounter++) {
    lcd.scrollDisplayLeft(); 
    delay(150);
  }
    delay(2000); 
  for (int positionCounter = 0; positionCounter < 21; positionCounter++) {
    lcd.scrollDisplayRight(); 
    delay(150);
  }
  delay(2000);  
  }   
}


void button_pressed() {
  long current_Time = millis();  
  if ((current_Time - last_millis) > 150) {
  last_millis = current_Time; 
  
  if (MODE == 9)   {
    MODE = 1; 
   }   
  else {
    MODE = MODE++;   
   } 
  }
 }     


